// ser_87x.h
//
// copyright, Peter H. Anderson, Georgetown, SC, Mar, '01
// Modified by Arnan (Roger) Sipitakiat, MIT Media laboratory

#define RX_BUFF_MAX 20

#define OVERFLOW 					0xff
#define SUCCESS						1
#define NO_DATA						0



void ser_init(void); // sets TxData in idle state
void asynch_enable(void);
void asynch_disable(void);
void ser_char(char ch); // no interrupts
void ser_out_str(char *s);
char ser_get_ch(long t_wait);
void ser_hex_byte(byte val); // displays val in hex format
void ser_dec_byte(byte val, byte digits);
char num_to_char(byte val); // converts val to hex character
void open_rx_com(void);
#int_rda
rda_interrupt_handler(void);
#int_default
default_interrupt_handler(void);
byte get_rx_buff(byte *ch_ptr);
